Update ticket
PATCH
/tickets/{id}
const url = 'https://api.muninx.com/tickets/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"organization":"example","participants":["example"],"assignee":"example","status":"new","priority":"low","message-count":1,"first-reply-sec":1,"avg-reply-sec":1,"max-reply-sec":1,"resolution-time-sec":1,"skip-notifications":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.muninx.com/tickets/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "organization": "example", "participants": [ "example" ], "assignee": "example", "status": "new", "priority": "low", "message-count": 1, "first-reply-sec": 1, "avg-reply-sec": 1, "max-reply-sec": 1, "resolution-time-sec": 1, "skip-notifications": true }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
organization
Only admins can modify the organization.
string
participants
Updated list of valid participant email addresses. Values are trimmed, lowercased, and deduplicated case-insensitively.
Array<string>
assignee
Only admins can reassign a ticket.
string
status
User-selectable ticket status. Tickets are closed only by the tenant organization’s auto-close settings after they remain solved for the configured duration.
string
priority
string
message-count
integer
first-reply-sec
Service users only.
integer
avg-reply-sec
Service users only.
integer
max-reply-sec
Service users only.
integer
resolution-time-sec
Service users only.
integer
skip-notifications
If true, this update will not trigger ticket notification emails.
boolean
Responses
Section titled “ Responses ”Updated ticket
Media type application/json
object
id
required
string
tenant-organization
required
string
creator
required
string
participants
required
Array<string>
customer-organization
required
string
assignee
required
string
team
required
string
created-at
required
string format: date-time
updated-at
required
string format: date-time
status
required
Ticket status.
string
priority
required
Ticket priority.
string
title
required
string
message-count
required
integer
first-reply-sec
required
integer
avg-reply-sec
required
integer
max-reply-sec
required
integer
resolution-time-sec
required
integer
auto-solve-enabled
required
boolean
auto-solve-at
required
string format: date-time
auto-close-at
required
string format: date-time
Example
{ "status": "new", "priority": "low"}Invalid update. Ticket titles are immutable and cannot be included in this request.
Media type application/problem+json
object
type
string
title
string
status
integer
detail
string
instance
string
code
string
requestId
string
Example
{ "title": "Bad Request", "status": 400, "detail": "ticket title cannot be updated", "code": "immutable_field", "instance": "/tickets/example-ticket-id"}